What are the technical requirements for my iPhone, iPad, or iPod touch?

To start enjoying the FOX App on your iOS device, download the app from the App Store

Available models and operating systems

We recommend updating to iOS 8.0 or later versions.

iPad: Wi-Fi or iPad Wi-Fi with 3G/4G.

iPhone: 4, 4S, 5, 5S, 5C, 6, or 6 Plus (with iOS 8.0 or later versions).

For futher information on iPhone models, click here>

iPod Touch: Requires 3rd generation iPod Touch or higher (with iOS 8.0 or higher).

For further information on iPod models, click here

How do I update iOS on my device? 

  1. Go to Settings
  2. Scroll down until you find the “General” menu 
  3. Select the “Software Update” option  
  4.  You can check your iOS and update it if necessary 

 

IMPROVE YOUR FOX MULTISCREEN VIEWING EXPERIENCE